/*global deck.js*/
    var image, width, height, xpos = 0, ypos = 0, index = 0, numFrames = 55, cardWidth = 68, cardHeight = 96, cardsInRow = 11;

    image = new Image();
    image.src = "./img/CardDeck2.png";
    image.onload = function() {
        width = image.width;
        height = image.height;
    };

/*
 * draws a graphical representation of the given card at x, y coordinates in the
 * given context.
 */
    function draw(context, card, x, y) {

        var x_offset = -1;
        var y_offset = -1;

        if (card == null || typeof(card) !== typeof(new deck.Card(5, deck.ColorEnum.HEARTS)) || card.isHidden() ) {
            // use cover
            x_offset = 8;
            y_offset = 4;
        } else if (card.value == 15) {
            // use joker
            x_offset = 9;
            y_offset = 4;
        } else {
            var cards_per_color = 13;
            var card_value = (cards_per_color - card.value) + 1;
            var color_value = card.color.value - 1;

            // in a deck sorted club, spades, diamonds, hearts, from ace to 2, this would be card number:
            var card_number = (color_value * cards_per_color) + card_value;

            x_offset = card_number % cardsInRow;
            y_offset = Math.floor(card_number / cardsInRow);
        }

        context.drawImage(image, x_offset * cardWidth, y_offset * cardHeight, cardWidth, cardHeight, x, y, cardWidth, cardHeight);

    }